Introduction

 Top Next

Total Uninstall ™

Total Uninstall is a complete uninstaller which includes three functional modules.

· Installed programs module analyzes existing installations and create a log with installation changes. It can uninstall programs even without the help of the supplied built-in uninstall program.
· Monitored programs module helps to monitor any change made to your system during the installation of a new program. It allows you to perform a complete uninstall without having to rely on the supplied built in uninstall program, which can leave files or changes behind.
· Cleaner scans and removes safely the disposable items.

Features

· Accurate analyze existing installations and create a log with installation changes
· Batch analyzes and uninstall programs.
· Monitor changes from registry and file system for new installations
· Completely and thoroughly uninstall analyzed or monitored programs
· Organize in groups installed or monitored programs*
· Find the program to uninstall by keyword quickly and easily
· Summary and detailed information for each installed or monitored program
· User configurable analysis and monitor profiles, views of the detected changes*
· Detailed uninstall log
· Powerful search in detected changes*
· Scans and removes safely the disposable items
· Stand-alone agent for notification of running installation programs*
· Export registry for install or uninstall*
· Export or print installed or monitored programs
· Export or print detected changes*
· View and apply pending file rename operations without restart

*Professional edition


Installed Programs module

 Top Previous Next

Analysis

Total Uninstall will list installed programs from your system. Selecting a program from the list will start the analysis process. For selecting and uninstall more than one program at a time, select first the Bundle checkbox. In a few seconds will show in the Changes page the registry and file system items detected for the selected program(s). Different analysis levels can be tried to get the best results.

Uninstallation

1. It creates a system restore point.
2. It creates a backup copy of the uninstalled programs(s).
3. Launch the supplied built-in program(s).
4. Uninstall the left-behind items using the detected items during analysis.


Monitored Programs module

Monitor the program installation

1. Before a program is installed use Total Uninstall to create a system snapshot
2. Install the program as usual
3. Use Total Uninstall to create the post-install snapshot. This is automatically compared with the pre-install snapshot resulting the install log.

Uninstallation

1. It creates a system restore point.
2. It creates a backup copy of the uninstalled programs(s).
3. Launch the supplied built-in program(s) if it is considered necessary
4. Uninstall the left-behind items using the detected items during the monitored installation


Installed Programs list

Installed Programs list

The list displays the installed programs on your computer. New installed programs since last run are highlighted with an yellow background and the system components are colored in blue. System components are hidden by default.

Add program to list

You can add a program to list if you know the program location. Useful for programs that were not installed or the uninstall information is missing or corrupt.


Analysis

Analysis

The program is automatically analyzed using the default analysis profile.

The analysis must be refreshed before uninstallation.

Review detected items

Check the Changes page to see the analysis result. Try another analysis profile or remove items from detected items that you don't want to be uninstalled.


Uninstall

Uninstall profile

Choose between available uninstall profiles:

· Uninstall analyzed program - launch first the provided uninstaller and continue to uninstall the left behind items.
· Use only the program's uninstaller - will only launch first the provided uninstaller. It is equivalent with standard Add/Remove programs.

Uninstall actions

Depending of the options from the selected uninstall profile the following actions are executed:

1. A system restore point is created
2. A backup copy is created for the uninstalled program
3. The uninstaller that come with the installed program is started and will wait for it to finish the standard uninstall procedure
4. Reboot your computer if it is required. Total Uninstall will start with Windows to continue the uninstall process.
5. Once the standard uninstall procedure is finished with success or not the Total Uninstall uses the install log to uninstall the left behind changes. At the end of the uninstall process the uninstall log is displayed.

Uninstall detected items

The uninstall actions are controlled from the uninstall profile.

All operations are logged in the uninstall log.

· created files are deleted
· modified files - no action
· deleted files - no action
· created folders are deleted
· deleted folders - no action
· created registry values are deleted
· modified registry values are restored
· deleted registry values are created
· created registry keys are deleted
· deleted registry keys are created
· shared file counters are decremented if the provided uninstaller didn't already decremented them

Shared files

· Shared files are used to store program code or data that is supposed to be shared between two or more programs. The installers define a counter in registry to keep track of the number of programs that uses the same shared file.
· Installers increment the shared file counter. Uninstallers decrease the counter for each uninstalled program that uses that shared file. The zero value for counter indicate that the file is no longer used and can be removed from system.
· Like any uninstaller program Total Uninstall decrements the shared file counter and suggest to remove the shared files if the counter reach zero.
· The shared files are always deleted to Recycle Bin.


Configuration

Install locations

If programs are installed in other folders than the standard "Program Files" these should be added to the Install locations list.


Monitor installation

Pre-install system snapshot

Before installing a program start the Install wizard to create a pre-install system snapshot.

Installation

· The setup program can be started by Install wizard or from Windows Explorer
· The installation procedure is done as usual
· Accept the eventually system reboot request. Total Uninstall will start after reboot to continue the monitoring process.
· It's strongly recommended to run once the installed program before continuing with the next step.

Post-install system snapshot and install log

Continue the monitoring process in the Install wizard to create the post-install snapshot. This is compared with the pre-install snapshot and the detected changes are saved in the install log.


Uninstall

Uninstall profile

Choose between available uninstall profiles:

· Total uninstall - perform all actions to uninstall the monitored program completely. This profile should not be used for programs that were already uninstalled (with Total Uninstall or with its own uninstaller).
· Total uninstall using first the provided uninstaller - launch first the provided uninstaller to stop the self-protected services and continue to uninstall the left behind items. This profile is preselected if Total Uninstall detects that the program is an anti-virus, anti-spyware, firewall, driver and other program that install system devices.
· Clean up - will perform the necessary actions to uninstall a monitored program that was already uninstalled using its own uninstaller.

Uninstall actions

Depending of the options from the selected uninstall profile the following actions are executed:

1. A system restore point is created
2. A backup copy is created for the uninstalled program
3. The uninstaller that come with the installed program is started and will wait for it to finish the standard uninstall procedure
4. Reboot your computer if it is required. Total Uninstall will start with Windows to continue the uninstall process.
5. Once the standard uninstall procedure is finished with success or not the Total Uninstall uses the install log to uninstall the left behind changes. At the end of the uninstall process the uninstall log is displayed.

Uninstall detected items

The uninstall actions are controlled from the uninstall profile.

All operations are logged in the uninstall log.

· created files are deleted
· modified files - no action
· deleted files - no action
· created folders are deleted
· deleted folders - no action
· created registry values are deleted
· modified registry values are restored
· deleted registry values are created
· created registry keys are deleted
· deleted registry keys are created
· shared file counters are decremented if the provided uninstaller didn't already decremented them

Shared files

· Shared files are used to store program code or data that is supposed to be shared between two or more programs. The installers define a counter in registry to keep track of the number of programs that uses the same shared file.
· Installers increment the shared file counter. Uninstallers decrease the counter for each uninstalled program that uses that shared file. The zero value for counter indicate that the file is no longer used and can be removed from system.
· Like any uninstaller program Total Uninstall decrements the shared file counter and suggest to remove the shared files if the counter reach zero.
· The shared files are always deleted to Recycle Bin.

Delete items?

Before deleting a created folder or a registry key Total Uninstall checks if this it is empty. If not, this is an indication that there are items created after installation. The origin of the unexpected items cannot be detected or can contain some user valuable data so the user must decide what should happen with those items.

The dialog gives the user opportunity to keep and/or remove selectively items created after installation.


Configuration

Scanning profile

· The default scanning profile will scanning only the system drive, usually C:. If you install programs on other drive this must be added to the scan include list.
· Add to exclude list folders that should not be scanned like folders containing documents

Ignore background changes

When monitoring the installation of a program in the system take place changes that has nothing to do with the installation. It's impossible to stop all running processes to get a clean install log. The solution is to ignore changes that occurs often in the system.

Total Uninstall must be configured using these steps:

1. Start the Install wizard and create the pre-install snapshot
2. Without closing Total Uninstall use the computer as usual for a about an hour but do not install any program
3. Reboot the computer
4. In the Install wizard enter a name for this dummy installation like "Items to ignore"
5. Finish the monitoring process
6. The detected changes are those that should be ignored in the future
7. Using the right-click menu actions in the changes tree add the changes to the exclude/ignore lists


Tips

Scan time

1. Usually the main cause of the long scanning time is the hard disk content and not the registry. Hard disks are slow at first scan after reboot and after that the scanning time decrease dramatically because of the Windows file system caching.
2. Exclude from scanning folders with temporary files like the one used by Firefox for Internet files (some standard locations are already excluded). In the same idea exclude other folders containing data like your pictures or mp3 collection. This is also a safety measure.
3. Do not include for scanning drives containing only data or any drive that you don't intend to use as a destination for installations excepting the boot drive and the drive where Windows is installed (in the normal cases the boot drive is the same drive where Windows is installed).
4. Do not add any registry key for scanning in the profile beside the default added. Especially the HKEY_CLASSES_ROOT that is a view of other registry keys and is very slow to scan because of registry redirection.
5. Do not remove any item from the default configured registry exclude list. Some entries are added to avoid scanning twice the same key.
6. Do not add to the include folders for scanning an entire drive (except the system drive) if you install all programs in a folder. Only add that folder. E.g. Instead of adding d:\ add only d:\Programs
7. Antivirus programs, firewalls or other security software that intercept registry and file accesses increase the scan time. The impact of a such utility can be evaluated creating a system snapshot with and one without real time protection (or similar option).
8. The option "Include file details" -> "Version" in the scanning profile require additional disk access. Rarely or never you will use the extra information.
9. Defragment the hard disks. Defragmented hard drives are scanned faster.

Uninstall speed

The slowdown is mainly caused by file deletion to Recycle Bin when this has a lot of files.

Recycle bin can be emptied even during uninstall process.

Using the proper functional module: "Installed programs" or "Monitored programs"

· Monitoring a program is the best method to be sure that you will have a complete uninstall. The Monitored programs module is the preferred way to install and uninstall a program that will never be surpassed in accuracy by any other uninstalling methods. The disadvantage is that for each installation the user must start and finish the monitoring process that will take about an extra minute or two.
· Installed programs module can be used to uninstall programs that weren't monitored or if the program is already installed and monitoring the installation is no longer an option. For most installations the effectiveness of "Installed programs" module is 100% or near 100% but can't be guaranteed like for monitored programs.
· Total Uninstall is actively maintained to have the most accurate analysis of installed programs. This assure the best uninstall and surpass in a great level any competing uninstaller product.


Main window

· The visibility of menu items or other controls depends on the current functional module. Only items that can be available in current module are shown.
· The enable state of menu items or other controls depends of current program state. Only items that apply for current program state are enabled.


Main menu

File menu

Install new

Start the wizard to monitor a new installation.

Install update

Start the wizard to monitor the update of the selected program.

Analyze

Analyze the selected program from list using the selected analysis profile.

Change

Launch the "Change" feature of the provided uninstaller. Enabled if the feature was provided. In many cases the Change feature launch directly the provided uninstaller.

Uninstall

Start the Uninstall dialog for selected program.

Add program to list

Add a new program manually to Installed Programs list. The requested information is the program name and the install location.

Remove program from list

Remove the selected program from list without uninstalling it. Enabled only for a program added manually using the "Add program to list".

Rename

Rename the program name displayed in list.

Delete

Delete the log of selected monitored program.

Change icon

Select an icon for the program. For installed programs that are analyzed to generate the install log, the icon source file will be added to the install log as created file.

Add root group

Add a root group in the program list.

Add child group

Add a sub-group in the current selected group.

Remove group

Remove the selected group. The content is not deleted but assigned to the parent group.

Move to root

Move the selected group to the root of the group tree.

Save

Save the modification from the current program log.

Import

Import installation logs from Total Uninstall 3 or 4.

Export

Export the programs list, program detected changes, uninstall log or registry changes.

Print

Print the programs list or detected changes of the current program.

Edit menu

Remove from Log

Remove the selected nodes and theirs sub-nodes from changes tree only.

Delete Completely

Delete the selected nodes and and theirs sub-nodes from changes tree and physically from file system or registry. Enabled only if in the current selection are created items that physically exist.

Delete from System Only

Delete physically the selected nodes and theirs sub-nodes from file system or registry. Enabled only if in the current selection are created items that physically exist.

Undo

Undo the selected changes in the system. Deleted items are restored, modified items are reverted and the created items are deleted.

If a created registry key contains additional entries that are not in the log, the undo will not delete the key.

Undo depth

Undo the entire branch downward.

Redo

Re-apply the selected changes in the system. Created items are re-created, modified items are set the log value and the deleted items are deleted.

If a deleted registry key contains additional entries that are not in the log the redo will not delete the key.

Redo depth

Redo the entire branch downward.

Restore from backup

Restore the selected files and folders (including all sub-folders and files) from backup.

The action is enabled only if a backup exists for the program.

Add to Scan Exclude List

Add the selected branch to all scanning profiles with the "Lock" option disabled.

Add to Compare Ignore List

Add the selected branch to all comparing profiles with the "Lock" option disabled.

Copy

Copy the current file or folder to Clipboard. The action is equivalent with action from Windows Explorer.

While editing the node name the Copy action will copy to Clipboard the selected text.

Open

Depending of the type of selected node

· file - open file with the associated application
· folder - open the folder content in Explorer
· registry key - open the registry editor and jump to the key
· registry value - open the registry editor and jump to the parent key


Installed Programs list

The list contains all programs registered as installed in the system. Portable programs or installed programs that are not in list can be added manually. The necessary information can be a shortcut to the program or the program name and program location.

Bundle

To analyze and uninstall more than one program at a time, select the Bundle checkbox. The checked items from the list will be added to the analysis to create a single uninstall log.

Groups

Logical groups can be created to organize the listed programs. Each group name can have a distinct image in front. First level groups are called root groups and can be created with the action "Add root group". Root groups can have subgroups. A subgroup can be added using the action "Add child group" on a selected group (root or not).

Use drag and drop or "Send to group" action to organize groups hierarchy and the programs in groups.

A program that was assigned to a group can be unassigned using "Move to root" action.

When a group is removed the content is automatically assigned to the parent group.

System components

The system components are usually part of a program installation. A system component can be required by one or more programs. A single program can install none, one ore more system components.

When the program is uninstalled, normally, the related system components are also uninstalled.

In the most of the cases the relation between the main program and the related system components can be clearly identified because of the used name for the component(s).

The system component that was left on the system can be uninstalled with Total Uninstall if no other program is using it.

The visibility of system components can be switched from status bar button or from options dialog.

Colors

For a better distinction of the programs from the list the background of each item is drawn in light alternate colors. A different text color or background color give additional information.

· Gray text - program is uninstalled with Total Uninstall. The uninstall log is available.
· Blue text - the entry is a system component
· Yellow background - new or updated entry since the last Total Uninstall start up.


Monitored Programs list

The list contains programs monitored with Total Uninstall. When first installed the list is empty. Use the Install action to begin a monitoring process.

Groups

Logical groups can be created to organize the listed programs. Each group name can have a distinct image in front. First level groups are called root groups and can be created with the action "Add root group". Root groups can have subgroups. A subgroup can be added using the action "Add child group" on a selected group (root or not).

Use drag and drop or "Send to group" action to organize groups hierarchy and the programs in groups.

A program that was assigned to a group can be unassigned using "Move to root" action.

When a group is removed the content is automatically assigned to the parent group.

Colors

The text color is gray for programs uninstalled with Total Uninstall. The uninstall log is available for these programs.


Details

Summary

Brief information that is available for selected program.

Detected changes

Detected changes made by analyzed or monitored program are displayed in a tree view. The content is according with the current applied view profile.

Tree icons

Registry

created key

deleted key

new value

deleted value

modified value

File system

new folder

deleted folder

new file

deleted file

modified file - date time or size

Services and devices

installed service or device
Edit operations

Remove from Log

Remove the selected nodes and theirs sub-nodes from changes tree only.

Delete Completely

Delete the selected nodes and and theirs sub-nodes from changes tree and physically from file system or registry. Enabled only if in the current selection are created items that physically exist.

Delete from System Only

Delete physically the selected nodes and theirs sub-nodes from file system or registry. Enabled only if in the current selection are created items that physically exist.

Undo

Undo the selected changes in the system. Deleted items are restored, modified items are reverted and the created items are deleted.

If a created registry key contains additional entries that are not in the log, the undo will not delete the key.

Undo depth

Undo the entire branch downward.

Redo

Re-apply the selected changes in the system. Created items are re-created, modified items are set the log value and the deleted items are deleted.

If a deleted registry key contains additional entries that are not in the log the redo will not delete the key.

Redo depth

Redo the entire branch downward.

Restore from backup

Restore the selected files and folders (including all sub-folders and files) from backup.

The action is enabled only if a backup exists for the program.

Add to Scan Exclude List

Add the selected branch to all scanning profiles with the "Lock" option disabled.

Add to Compare Ignore List

Add the selected branch to all comparing profiles with the "Lock" option disabled.

Copy

Copy the current file or folder to Clipboard. The action is equivalent with action from Windows Explorer.

While editing the node name the Copy action will copy to Clipboard the selected text.

Open

Depending of the type of selected node

· file - open file with the associated application
· folder - open the folder content in Explorer
· registry key - open the registry editor and jump to the key
· registry value - open the registry editor and jump to the parent key

Uninstall log

Contain all uninstall actions with the results. A context menu is available to hide successful operations or warnings.


Search panel

Search field

The text or DOS mask that is searched in the changes of the program(s).

Clear

Clear the search field and results list.

Registry and File System details

Checked item types are included in search.

Search in

· Selection - search only in selected programs or recursively in the selected groups
· All programs - search in all available logs

Search mask

· checked, the searched text is considered a DOS mask.
· unchecked the result must match exactly the searched text.


Create the pre-install system snapshot

Create a new system snapshot

A new system snapshot will be created before the installation.

Use last snapshot

· The previous system snapshot will be used. Useful for successive monitored installations.
· The previous snapshot will determine the scanning profile used for the post-install snapshot.
· This option is disabled if the previous snapshot doesn't exists or is too old.

Scanning profile

The used scanning profile to build the new snapshot or the scanning profile used to build the previous snapshot. If there is only one scanning profile defined then this option is not available.


Install monitored program

Program name

A friendly name for the monitored program. Naming alternatives will be available in the drop-down box if the path of the monitored program is provided or a program is installed during this screen.

Suggest

Suggest a name for the monitored program.

Setup program path

Full path to the monitored install program. This field is optional but must be supplied if you want to start the installation from the Total Uninstall interface.

Launch setup program

The installation process will be started.

Program is installed

The monitoring process will continue with the final step, post-install snapshot and detection of the system changes.

Complete the monitor process later

The wizard will be closed.


Uninstall wizard

Uninstall profile

The name and the description of the uninstall profile. Total Uninstall will try to detect the type of the program that will be uninstalled and will preselect a profile. If there is no special case, the default profile will be selected.

Launch

In the first step, Total Uninstall creates a system restore point and a backup copy of the uninstalled program. These actions can be disabled in the selected uninstall profile. It starts the build-in uninstaller(s). If a bundle is uninstalled, all involved built-in uninstallers are launched in a consecutive manner.

Skip

Total Uninstall will not wait for the current built-in uninstaller to finish. The next built-in uninstaller will be launched. It should be used only if the current uninstaller doesn't respond and prevent the uninstall process to continue.

Uninstall

Uninstalls the program using the detected changes.


Remove shared file dialog

Shared files

· Shared files are used to store program code or data that is supposed to be shared between two or more programs. The installers define a counter in registry to keep track of the number of programs that uses the same shared file.
· Installers increment the shared file counter. Uninstallers decrease the counter for each uninstalled program that uses that shared file. The zero value for counter indicate that the file is no longer used and can be removed from system.
· Like any uninstaller program Total Uninstall decrements the shared file counter and suggest to remove the shared files if the counter reach zero.
· The shared files are always deleted to Recycle Bin.

Remove shared file dialog

This dialog is shown when during uninstall is found a shared file with a counter that indicate that the file is no longer needed.

Yes

Delete the current shared file to Recycle Bin.

No

The current shared file remain on the system.

Yes To All

Delete all shared files to Recycle Bin.

No To All

Keep all shared files on the system.


Delete items dialog

Dialog is shown when during uninstallation Total Uninstall finds items created after installation of the monitored program or after analysis.

The user must decide if those items should be deleted or not.

The checked items from the displayed tree will be uninstalled (deleted).

Select All

Select all items for deletion

Unselect All

Uncheck all items to remain on the system

OK

Continue uninstallation. Checked items will be deleted.


Preferences

Text viewer

Program used to display file content for the "Text view" command in Changes tree.

Hex viewer

Program used to display file content for the "Hex view" command in Changes tree.

Registry editor

Is called to open a key from changes tree.

To use your registry editor provide the path and command line switches.

· %key% is replaced with the registry key path enclosed in double quoted
· %keyx% is replaced with the registry key path


Installed programs

Show updates

Show updates as children items under the corresponding program name.

Show system components

System Components are shown in red in the Installed Programs list.


Analysis profiles

Add

Add a new profile to the options tree.

Remove

Show a list with profiles that can be deleted.

Install locations

List with install locations for your programs if are different than the standard "Program Files".


Analysis profile

Overview

For some parts of the installation, the analysis uses a matching algorithm because this is the only way to detect some specific installation items. The matching algorithm imply that there is a balance between the chance to do not detect the installation items and the risk to include items in the installation log that are not part of the analyzed program. The "Normal" analysis profile is the best compromise between the safety and detection rate of the installation items that is in almost all cases 100% or near to 100%.

The analysis algorithm can be controlled in several aspects. The adjustment is a level between 0 and 9. Level 0 mean that the feature is completely disabled. Because the analysis could rarely add in the installation log items not part of the analyzed program is necessary a review of the detected changes before uninstall. The review is necessary mostly when using "Advanced" analysis profile. Using "Safe" profile the detection rate can be unsatisfactory. In many cases there are no differences between the results given by the different analysis profiles, but for some installations the results will differ.

Default

Make the current profile default.

Smart adjust the analysis level

Total Uninstall will increase automatically the necessary matching threshold score if there are remaining similar programs in the system (same company or with a similar product name). This will increase the safety and uninstalling the analyzed program will not affect the remaining programs.

Program settings detection

Controls the detection of the registry entries from the following locations

· HKEY_LOCAL_MACHINE\SOFTWARE
· HKEY_USERS\{*SID*}\Software

Shell integration detection

Controls the detection of the registry entries from the following locations

· HKEY_LOCAL_MACHINE\SOFTWARE\Classes
· HKEY_USERS\{*SID*}\Software\Classes

Install location detection

Some programs don't expose the install location. The program location is searched in the%ProgramFiles%folder and in the user defined locations.

Program data detection

Controls the detection of the created folders from the following locations

· %APPDATA%
· %ALLUSERSPROFILE%

Program shortcuts detection

Controls the shortcuts detection from desktop and from start menu.

System files detections

Controls the detection of the created files from the following locations

· %SystemRoot%
· %SystemRoot%\Inf
· %SystemRoot%\System32
· %SystemRoot%\System32\drivers

Additional analysis enable an alternative method for file detection.


Monitored programs

Auto-start with Windows to continue unfinished monitoring process

When the install wizard is closed after preinstall snapshot creation or a restart is detected Total Uninstall will add an entry in the registry to be automatically started after system reboot. Total Uninstall will offer you to continue the monitoring process.

Integrate Total Uninstall into shell

"Monitor with Total Uninstall" will be added in Windows Explorer context menu for .exe and .msi files. Using this action Total Uninstall will be started ready to begin the monitoring process.

Allow custom snapshot name

If this option is selected you will be able to enter a name for each system snapshot created in the Install wizard.


Agent

Enable Total Uninstall Agent

Enable a stand-alone program that notify you if an install program is started.

Masks for setup program file name

File name masks for installation programs. Standard DOS wildcards * and ? can be used.


Scanning profiles

Add

Add a new profile to the options tree.

Remove

Show a list with profiles that can be deleted.

Snapshots count

Limit the number of the system snapshots stored in the Snapshots folder. The older snapshots will be deleted when a new snapshot is created to maintain the count.

Folder size

Limit the folder size with system snapshots. The oldest snapshot will be deleted when a new snapshot is created to maintain the folder size limit.

File extensions with version information

For scanning profiles with the option to include file Version information this list of extensions will be used to limit the number of files queried for version information.


Scanning profile

Default

Make the current profile default.

Lock

If this option is selected the "Add to scan exclude list" action from changes tree will ignore this scanning profile.

Include keys

Registry keys scanned

Exclude keys

This is the list of registry keys that will be skipped when scanning with this profile.

Items in this list are added from changes tree with command "Add to Scan Exclude List".

Include folders

The list with folders that will be scanned.

Exclude folders

Folders skipped when scanning. Items in this list are added from changes tree with command "Add to scan exclude list".

The folder mask works at the folder name level and can be like C:\WINDOWS\KB* to exclude all folders from Windows with the name beginning with KB. Excluding a folder imply all sub folders to be also excluded.

Version

Include file version information of the scanned files in the snapshot. This will increase the time needed to build the snapshot several times and is useful in rare cases. Normally you don't need to activate this option.

Scan for Alternate Data Streams

Include the Alternate Data streams information of the scanned files in the snapshot. This will increase the time needed to build the snapshot several times and is useful in rare cases. Normally you don't need to activate this option.


Comparing profiles

Add

Add a new profile to the options tree.

Remove

Show a list with profiles that can be deleted.

Protected keys, Protected folders

The protected keys and folders are common paths that are not reported as created when these are created (the content is reported as created, deleted or modified as usual).

On a clean installed system, these common locations do not exist. These are created by the first installations and used by the following installations. The protected paths feature eliminates the risk to delete common locations shared by more programs when the first installations are uninstalled. For unprotected shared locations the program will show the "Delete items dialog".


Comparing profile

General

Default

Make the current profile default.

Lock

The "Add to compare ignore list" action from changes tree will ignore the locked comparing profile.

Registry

Compare registry

Activate comparing of the registry keys and values from snapshots.

Ignore Keys and Values

This is the list of the registry keys and values that will be ignored when using this profile. Items in this list are added from changes tree with command "Add to compare ignore list".

Ignore changed items

All changed items found in the listed locations, and sub-locations will be ignored. The created or deleted items are reported as usual. It is recommended to add the locations related to the current installed programs on the system. In this way, the usual running programs will not pollute the log.

File system

Compare files

Activate comparing of the files and folders from snapshots.

Compute MD5 for New Files

Compute MD5 for created Files

Ignore Folders and Files

This is the list of the folders and files ignored when using this profile.

Items in this list are added from changes tree with command "Add to compare ignore list".

Ignore changed items

All changed items found in the listed locations, and sub-locations will be ignored. The created or deleted items are reported as usual. It is recommended to add the locations related to the current installed programs on the system. In this way, the usual running programs will not pollute the log.


Uninstall profile

General

Default

Make the current profile default.

Advanced

Use first the supplied uninstaller

The first step in the uninstall process will be launching the built-in uninstaller program(s).

If the built-in uninstaller requires a reboot, Total Uninstall will continue after reboot.

Use first available built-in uninstaller user interaction

Depending of the built-in uninstaller features, Total Uninstall will use the first available level of user interaction from the list.

- Default - the built-in uninstaller will show the user interface, including questions and the uninstall progress. The user must interact with the uninstaller to finish the uninstall process.

- Progress - The built-in uninstaller shows only the uninstall progress without requiring the user interaction. The uninstall process can be canceled. Usually, the user doesn't have to interact with the uninstaller to finish the process. In some cases, some confirmation dialogs will appear.

- Quiet - The built-in uninstaller will run without displaying progress or indication of the uninstall process. In some cases, some confirmation dialogs will appear.

Don't use detected changes log

Total Uninstall will not reverse any change.

Ignore missing items

If during uninstall there are files, folders, registry values, registry keys missing no entry will be added to the uninstall log.

Remove uninstalled program from list

When the uninstalling process completes, the information associated with the uninstalled program is removed or not depending of this option.

Registry

Delete created keys

For keys that still contain sub-keys after all detected new sub-keys are removed a dialog is shown to confirm the deletion of the remaining sub-keys from the not empty key.

Decrease shared file counter

Decrease shared file counter if the provided built-in uninstaller program didn't already.

File system

Use Recycle Bin

Files are moved to Recycle Bin (slower).

Delete created folders

For folders that still contain files after all detected new files are removed a dialog is shown to confirm the deletion of the remaining files from the not empty folder.


Change view

Default

Make the current profile default.

Before column

Show the column that displays the details of the detected changes before the installation.

After column

Show the column that displays the details of the detected changes after the installation.

Current column

Show the column that displays the current details of the detected changes.

Existing items in system

When the changes are displayed in the tree the items are tested if exists in system. If the item is found the following display options can be applied:

· Show Normal
· Hide
· Highlight Text - the text is drawn with a custom color
· Dim Icon
· Dim Icon and Highlight Text

Missing items from system

When the changes are displayed in the tree the items are tested if exists in system. If the item is not found the following display options can be applied:

· Show Normal
· Hide
· Highlight Text - the text is drawn with a custom color
· Dim Icon
· Dim Icon and Highlight Text

Display Binary Data as Text

· off, the registry binary data is displayed using hexadecimal notation
· on, the binary data is displayed as text even it's type indicate that the data doesn't contain a text

File Version

Show the file version if the file contains the version information and in the same time the option to extract file version was selected in the used scanning profile.

New File MD5 Sum

Show the computed MD5 sum for created file.


Web updates

Check updates method

· Manual - Total Uninstall will not try to check for updates
· Reminder - when the period of time has passed from the previous check an icon will be shown in the status bar [image].
· Automatic - Total Uninstall will connect to the author site and verify if there are new updates on the site. If yes, the following icon will be shown [image] in the status bar.

Frequency

The period of time after the program will show the reminder or will check for updates automatically.


Pending file rename operations

During installation or uninstallation of programs the files and folders that are in use cannot be deleted, replaced or renamed. These operations are queued for the next Windows startup.

The dialog shows a list of operations that are queued for the next Windows start up.

There can be two types of operations in the list and a different icon is shown in the destination column:

· file or folder queued to be deleted
· file queued to be moved

The "Apply" button retry the file rename operations. The operations that fails are shown in red color and the successfully applied operations are removed from the list.


Check for updates

Check for updates dialog

When the dialog is open this will show the information that was already retrieved in a previous check for updates session. To get the latest updates press the "Refresh" button.

About privacy

Total Uninstall will connect to the author web site to check for product updates. The following information is sent to server:

· Product code
· Registration name*
· Registration key*
· Product version
· Computer Id
· Current interface language
· Update method
· Operating system version
· Operating system platform

*only for registered version


Purchasing and registration

Purchasing

Total Uninstall is available for evaluation for a period of 30 days. You can buy the application online.

Registration

Please fill in the exact values as you received by email.


Technical support

 Top Previous
1. Download and install the latest version
2. Send technical support requests to support@martau.com

© 2014 Gavrila Martau